uudoc(1)

NAME
uudoc - Strip last component from file name

SYNOPSIS
uudoc [-z|--zero] [-h|--help] [-V|--version] [dir]

DESCRIPTION
Strip last component from file name

OPTIONS

-z, --zero
    separate output with NUL rather than newline

-h, --help
    Print help

-V, --version
    Print version

EXTRA
Examples Calculate the parent directory of a given path: dirname {{path/to/file_or_directory}} Calculate the parent directory of multiple paths: dirname {{path/to/file_or_directory1 path/to/file_or_directory2 ...}} Delimit output with a NUL character instead of a newline (useful when combining with `xargs`): dirname {{[-z|--zero]}} {{path/to/file_or_directory1 path/to/file_or_directory2 ...}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0